﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using MTWorkHR.Core.Entities.Base;

namespace MTWorkHR.Core.Entities
{
    public class ProjectStage : AuditEntity
    {

        public long ContractId{ get; set; }
        [ForeignKey("ContractId")]
        public Contract? Contract { get; set; }
        [Required]
        [MaxLength(250)]
        public string Title { get; set; }
        public DateTime? StartDate{ get; set; }
        public DateTime? ExpectedEndDate { get; set; }
        public decimal? AmountPercent { get; set; }
        public string? ScopeOfWork { get; set; }
        public List<ProjectStageAttachment>? StageAttachments { get; set; }

    }
}
