﻿using Microsoft.AspNetCore.Identity;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using MTWorkHR.Infrastructure.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MTWorkHR.Infrastructure.Configurations
{
    public class RolePermissionConfiguration : IEntityTypeConfiguration<RolePermission>
    {

        public void Configure(EntityTypeBuilder<RolePermission> builder)
        {
            builder.HasData(

                //___________________________________________________________________Employee________________

                // Add all permissions except company (delete, suspend ) and user(delete,suspend),
                new RolePermission { Id = 1, RoleId = "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E", PermissionId = 1, PermissionName = "Project" },
                new RolePermission { Id = 2, RoleId = "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E", PermissionId = 2, PermissionName = "Project.Create" },
                new RolePermission { Id = 3, RoleId = "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E", PermissionId = 3, PermissionName = "Project.Update" },
                new RolePermission { Id = 4, RoleId = "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E", PermissionId = 4, PermissionName = "Project.Delete" },

                new RolePermission { Id = 5, RoleId = "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E", PermissionId = 5, PermissionName = "Meeting" },
                new RolePermission { Id = 6, RoleId = "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E", PermissionId = 6, PermissionName = "Meeting.Create" },
                new RolePermission { Id = 7, RoleId = "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E", PermissionId = 7, PermissionName = "Meeting.Update" },
                new RolePermission { Id = 8, RoleId = "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E", PermissionId = 8, PermissionName = "Meeting.Delete" },

                new RolePermission { Id = 9, RoleId = "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E", PermissionId = 9, PermissionName = "Team" },
                new RolePermission { Id = 10, RoleId = "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E", PermissionId = 10, PermissionName = "Team.Create" },
                new RolePermission { Id = 11, RoleId = "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E", PermissionId = 11, PermissionName = "Team.Update" },
                new RolePermission { Id = 12, RoleId = "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E", PermissionId = 12, PermissionName = "Team.Delete" },

                new RolePermission { Id = 13, RoleId = "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E", PermissionId = 13, PermissionName = "UserTask" },
                new RolePermission { Id = 14, RoleId = "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E", PermissionId = 14, PermissionName = "UserTask.Create" },
                new RolePermission { Id = 15, RoleId = "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E", PermissionId = 15, PermissionName = "UserTask.Update" },
                new RolePermission { Id = 16, RoleId = "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E", PermissionId = 16, PermissionName = "UserTask.Delete" },

                // Company permissions (excluding Delete and Suspend)
                new RolePermission { Id = 17, RoleId = "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E", PermissionId = 17, PermissionName = "Company" },
                //new RolePermission { Id = 18, RoleId = "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E", PermissionId = 18, PermissionName = "Company.Create" },
                //new RolePermission { Id = 19, RoleId = "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E", PermissionId = 19, PermissionName = "Company.Update" },

                // User permissions (excluding Delete and Suspend)
                new RolePermission { Id = 20, RoleId = "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E", PermissionId = 22, PermissionName = "User" },
                //new RolePermission { Id = 21, RoleId = "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E", PermissionId = 23, PermissionName = "User.Create" },
                //new RolePermission { Id = 22, RoleId = "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E", PermissionId = 24, PermissionName = "User.Update" },

                // Role permissions
                new RolePermission { Id = 23, RoleId = "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E", PermissionId = 27, PermissionName = "Role" },
                new RolePermission { Id = 24, RoleId = "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E", PermissionId = 28, PermissionName = "Role.Create" },
                new RolePermission { Id = 25, RoleId = "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E", PermissionId = 29, PermissionName = "Role.Update" },
                new RolePermission { Id = 26, RoleId = "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E", PermissionId = 30, PermissionName = "Role.Delete" },

                // Attendance permissions
                new RolePermission { Id = 27, RoleId = "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E", PermissionId = 31, PermissionName = "Attendance" },
                new RolePermission { Id = 28, RoleId = "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E", PermissionId = 32, PermissionName = "Attendance.Create" },
                new RolePermission { Id = 29, RoleId = "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E", PermissionId = 33, PermissionName = "Attendance.Update" },
                new RolePermission { Id = 30, RoleId = "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E", PermissionId = 34, PermissionName = "Attendance.Delete" },

                // Contract permissions
                //new RolePermission { Id = 31, RoleId = "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E", PermissionId = 35, PermissionName = "Contract" },
                //new RolePermission { Id = 32, RoleId = "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E", PermissionId = 36, PermissionName = "Contract.Create" },
                //new RolePermission { Id = 33, RoleId = "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E", PermissionId = 37, PermissionName = "Contract.Update" },
                //new RolePermission { Id = 34, RoleId = "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E", PermissionId = 38, PermissionName = "Contract.Delete" },

                // OrderAllocation permissions
                new RolePermission { Id = 35, RoleId = "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E", PermissionId = 39, PermissionName = "OrderAllocation" },
                new RolePermission { Id = 36, RoleId = "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E", PermissionId = 40, PermissionName = "OrderAllocation.Create" },
                new RolePermission { Id = 37, RoleId = "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E", PermissionId = 41, PermissionName = "OrderAllocation.Update" },
                new RolePermission { Id = 38, RoleId = "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E", PermissionId = 42, PermissionName = "OrderAllocation.Delete" },

                // OrderRequest permissions
                new RolePermission { Id = 39, RoleId = "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E", PermissionId = 43, PermissionName = "OrderRequest" },
                new RolePermission { Id = 40, RoleId = "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E", PermissionId = 44, PermissionName = "OrderRequest.Create" },
                new RolePermission { Id = 41, RoleId = "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E", PermissionId = 45, PermissionName = "OrderRequest.Update" },
                new RolePermission { Id = 42, RoleId = "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E", PermissionId = 46, PermissionName = "OrderRequest.Delete" },
                //__________________________________________________________Admin____________________

                new RolePermission { Id = 43, RoleId = "AD5B3B92-2311-48F8-9DEC-F9FAEF1F211A", PermissionId = 17, PermissionName = "Company" },
                new RolePermission { Id = 44, RoleId = "AD5B3B92-2311-48F8-9DEC-F9FAEF1F211A", PermissionId = 20, PermissionName = "Company.Delete" },
                new RolePermission { Id = 45, RoleId = "AD5B3B92-2311-48F8-9DEC-F9FAEF1F211A", PermissionId = 21, PermissionName = "Company.Suspend" },
                new RolePermission { Id = 46, RoleId = "AD5B3B92-2311-48F8-9DEC-F9FAEF1F211A", PermissionId = 22, PermissionName = "User" },
                new RolePermission { Id = 47, RoleId = "AD5B3B92-2311-48F8-9DEC-F9FAEF1F211A", PermissionId = 25, PermissionName = "User.Delete" },
                new RolePermission { Id = 48, RoleId = "AD5B3B92-2311-48F8-9DEC-F9FAEF1F211A", PermissionId = 26, PermissionName = "User.Suspend" },


                //_____________________________________________________________Contractor

                // Start with Id = 49 and include all permissions except company (delete, suspend ) and user(delete,suspend),
                new RolePermission { Id = 49, RoleId = "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R", PermissionId = 1, PermissionName = "Project" },
                new RolePermission { Id = 50, RoleId = "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R", PermissionId = 2, PermissionName = "Project.Create" },
                new RolePermission { Id = 51, RoleId = "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R", PermissionId = 3, PermissionName = "Project.Update" },
                new RolePermission { Id = 52, RoleId = "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R", PermissionId = 4, PermissionName = "Project.Delete" },

                new RolePermission { Id = 53, RoleId = "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R", PermissionId = 5, PermissionName = "Meeting" },
                new RolePermission { Id = 54, RoleId = "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R", PermissionId = 6, PermissionName = "Meeting.Create" },
                new RolePermission { Id = 55, RoleId = "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R", PermissionId = 7, PermissionName = "Meeting.Update" },
                new RolePermission { Id = 56, RoleId = "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R", PermissionId = 8, PermissionName = "Meeting.Delete" },

                new RolePermission { Id = 57, RoleId = "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R", PermissionId = 9, PermissionName = "Team" },
                new RolePermission { Id = 58, RoleId = "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R", PermissionId = 10, PermissionName = "Team.Create" },
                new RolePermission { Id = 59, RoleId = "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R", PermissionId = 11, PermissionName = "Team.Update" },
                new RolePermission { Id = 60, RoleId = "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R", PermissionId = 12, PermissionName = "Team.Delete" },

                new RolePermission { Id = 61, RoleId = "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R", PermissionId = 13, PermissionName = "UserTask" },
                new RolePermission { Id = 62, RoleId = "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R", PermissionId = 14, PermissionName = "UserTask.Create" },
                new RolePermission { Id = 63, RoleId = "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R", PermissionId = 15, PermissionName = "UserTask.Update" },
                new RolePermission { Id = 64, RoleId = "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R", PermissionId = 16, PermissionName = "UserTask.Delete" },

                // Company permissions (excluding Delete and Suspend)
                new RolePermission { Id = 65, RoleId = "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R", PermissionId = 17, PermissionName = "Company" },
                //new RolePermission { Id = 66, RoleId = "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R", PermissionId = 18, PermissionName = "Company.Create" },
                //new RolePermission { Id = 67, RoleId = "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R", PermissionId = 19, PermissionName = "Company.Update" },

                // User permissions (excluding Delete and Suspend)
                new RolePermission { Id = 68, RoleId = "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R", PermissionId = 22, PermissionName = "User" },
                //new RolePermission { Id = 69, RoleId = "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R", PermissionId = 23, PermissionName = "User.Create" },
                //new RolePermission { Id = 70, RoleId = "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R", PermissionId = 24, PermissionName = "User.Update" },

                // Role permissions
                new RolePermission { Id = 71, RoleId = "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R", PermissionId = 27, PermissionName = "Role" },
                new RolePermission { Id = 72, RoleId = "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R", PermissionId = 28, PermissionName = "Role.Create" },
                new RolePermission { Id = 73, RoleId = "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R", PermissionId = 29, PermissionName = "Role.Update" },
                new RolePermission { Id = 74, RoleId = "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R", PermissionId = 30, PermissionName = "Role.Delete" },

                // Attendance permissions
                new RolePermission { Id = 75, RoleId = "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R", PermissionId = 31, PermissionName = "Attendance" },
                new RolePermission { Id = 76, RoleId = "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R", PermissionId = 32, PermissionName = "Attendance.Create" },
                new RolePermission { Id = 77, RoleId = "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R", PermissionId = 33, PermissionName = "Attendance.Update" },
                new RolePermission { Id = 78, RoleId = "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R", PermissionId = 34, PermissionName = "Attendance.Delete" },

                // Contract permissions
                new RolePermission { Id = 79, RoleId = "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R", PermissionId = 35, PermissionName = "Contract" },
                new RolePermission { Id = 80, RoleId = "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R", PermissionId = 36, PermissionName = "Contract.Create" },
                new RolePermission { Id = 81, RoleId = "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R", PermissionId = 37, PermissionName = "Contract.Update" },
                new RolePermission { Id = 82, RoleId = "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R", PermissionId = 38, PermissionName = "Contract.Delete" },

                // OrderAllocation permissions
                new RolePermission { Id = 83, RoleId = "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R", PermissionId = 39, PermissionName = "OrderAllocation" },
                new RolePermission { Id = 84, RoleId = "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R", PermissionId = 40, PermissionName = "OrderAllocation.Create" },
                new RolePermission { Id = 85, RoleId = "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R", PermissionId = 41, PermissionName = "OrderAllocation.Update" },
                new RolePermission { Id = 86, RoleId = "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R", PermissionId = 42, PermissionName = "OrderAllocation.Delete" },

                // OrderRequest permissions
                new RolePermission { Id = 87, RoleId = "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R", PermissionId = 43, PermissionName = "OrderRequest" },
                new RolePermission { Id = 88, RoleId = "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R", PermissionId = 44, PermissionName = "OrderRequest.Create" },
                new RolePermission { Id = 89, RoleId = "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R", PermissionId = 45, PermissionName = "OrderRequest.Update" },
                new RolePermission { Id = 90, RoleId = "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R", PermissionId = 46, PermissionName = "OrderRequest.Delete" },

                //_____________________________________________________________BUSINESS

                // Start with Id = 91 and include all permissions except company (delete, suspend ) and user(delete,suspend),
                new RolePermission { Id = 91, RoleId = "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110", PermissionId = 1, PermissionName = "Project" },
                new RolePermission { Id = 92, RoleId = "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110", PermissionId = 2, PermissionName = "Project.Create" },
                new RolePermission { Id = 93, RoleId = "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110", PermissionId = 3, PermissionName = "Project.Update" },
                new RolePermission { Id = 94, RoleId = "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110", PermissionId = 4, PermissionName = "Project.Delete" },

                new RolePermission { Id = 95, RoleId = "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110", PermissionId = 5, PermissionName = "Meeting" },
                new RolePermission { Id = 96, RoleId = "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110", PermissionId = 6, PermissionName = "Meeting.Create" },
                new RolePermission { Id = 97, RoleId = "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110", PermissionId = 7, PermissionName = "Meeting.Update" },
                new RolePermission { Id = 98, RoleId = "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110", PermissionId = 8, PermissionName = "Meeting.Delete" },

                new RolePermission { Id = 99, RoleId = "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110", PermissionId = 9, PermissionName = "Team" },
                new RolePermission { Id = 100, RoleId = "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110", PermissionId = 10, PermissionName = "Team.Create" },
                new RolePermission { Id = 101, RoleId = "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110", PermissionId = 11, PermissionName = "Team.Update" },
                new RolePermission { Id = 102, RoleId = "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110", PermissionId = 12, PermissionName = "Team.Delete" },

                new RolePermission { Id = 103, RoleId = "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110", PermissionId = 13, PermissionName = "UserTask" },
                new RolePermission { Id = 104, RoleId = "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110", PermissionId = 14, PermissionName = "UserTask.Create" },
                new RolePermission { Id = 105, RoleId = "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110", PermissionId = 15, PermissionName = "UserTask.Update" },
                new RolePermission { Id = 106, RoleId = "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110", PermissionId = 16, PermissionName = "UserTask.Delete" },

                // Company permissions (excluding Delete and Suspend)
                new RolePermission { Id = 107, RoleId = "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110", PermissionId = 17, PermissionName = "Company" },
                new RolePermission { Id = 108, RoleId = "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110", PermissionId = 18, PermissionName = "Company.Create" },
                new RolePermission { Id = 109, RoleId = "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110", PermissionId = 19, PermissionName = "Company.Update" },

                // User permissions (excluding Delete and Suspend)
                new RolePermission { Id = 110, RoleId = "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110", PermissionId = 22, PermissionName = "User" },
                new RolePermission { Id = 111, RoleId = "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110", PermissionId = 23, PermissionName = "User.Create" },
                new RolePermission { Id = 112, RoleId = "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110", PermissionId = 24, PermissionName = "User.Update" },

                // Role permissions
                new RolePermission { Id = 113, RoleId = "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110", PermissionId = 27, PermissionName = "Role" },
                new RolePermission { Id = 114, RoleId = "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110", PermissionId = 28, PermissionName = "Role.Create" },
                new RolePermission { Id = 115, RoleId = "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110", PermissionId = 29, PermissionName = "Role.Update" },
                new RolePermission { Id = 116, RoleId = "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110", PermissionId = 30, PermissionName = "Role.Delete" },

                // Attendance permissions
                new RolePermission { Id = 117, RoleId = "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110", PermissionId = 31, PermissionName = "Attendance" },
                new RolePermission { Id = 118, RoleId = "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110", PermissionId = 32, PermissionName = "Attendance.Create" },
                new RolePermission { Id = 119, RoleId = "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110", PermissionId = 33, PermissionName = "Attendance.Update" },
                new RolePermission { Id = 120, RoleId = "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110", PermissionId = 34, PermissionName = "Attendance.Delete" },

                // Contract permissions
                new RolePermission { Id = 121, RoleId = "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110", PermissionId = 35, PermissionName = "Contract" },
                new RolePermission { Id = 122, RoleId = "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110", PermissionId = 36, PermissionName = "Contract.Create" },
                new RolePermission { Id = 123, RoleId = "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110", PermissionId = 37, PermissionName = "Contract.Update" },
                new RolePermission { Id = 124, RoleId = "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110", PermissionId = 38, PermissionName = "Contract.Delete" },

                // OrderAllocation permissions
                new RolePermission { Id = 125, RoleId = "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110", PermissionId = 39, PermissionName = "OrderAllocation" },
                new RolePermission { Id = 126, RoleId = "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110", PermissionId = 40, PermissionName = "OrderAllocation.Create" },
                new RolePermission { Id = 127, RoleId = "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110", PermissionId = 41, PermissionName = "OrderAllocation.Update" },
                new RolePermission { Id = 128, RoleId = "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110", PermissionId = 42, PermissionName = "OrderAllocation.Delete" },

                // OrderRequest permissions
                new RolePermission { Id = 129, RoleId = "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110", PermissionId = 43, PermissionName = "OrderRequest" },
                new RolePermission { Id = 130, RoleId = "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110", PermissionId = 44, PermissionName = "OrderRequest.Create" },
                new RolePermission { Id = 131, RoleId = "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110", PermissionId = 45, PermissionName = "OrderRequest.Update" },
                new RolePermission { Id = 132, RoleId = "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110", PermissionId = 46, PermissionName = "OrderRequest.Delete" },


                //user.ResetPassword
                new RolePermission { Id = 133, RoleId = "EM5B3B92-2311-48F8-9DEC-F9FAEF1F211E", PermissionId = 47, PermissionName = "User.ResetPassword" },
                new RolePermission { Id = 134, RoleId = "CO5B3B92-2311-48F8-9DEC-F9FAEF1F211R", PermissionId = 47, PermissionName = "User.ResetPassword" },
                new RolePermission { Id = 135, RoleId = "BS5B3B92-2311-48F8-9DEC-F9FAEF1F2110", PermissionId = 47, PermissionName = "User.ResetPassword" }
            );
        }
    }
}
